#!/usr/bin/python

from sensor_msgs.msg import JointState
import rospy
import math

rospy.init_node('raptor', anonymous=True)
publisher = rospy.Publisher("raptor", JointState)
count = 0
while not rospy.is_shutdown():
    raptor = JointState()
    #raptor.name.insert([1, 2, 3, 4, 5],["joint1", "joint2", "joint3", "joint4"])
    raptor.name.insert(1,"joint1")
    raptor.name.insert(2,"joint2")
    raptor.name.insert(3,"joint3")
    raptor.name.insert(4,"joint4")
    raptor.name.insert(5,"joint5")
    raptor.header.stamp = rospy.Time.now()
    #raptor.position.insert([1,2,3,4,5], [0.1, 0.0, 0.2, 1.3, 1.1])
    value = 3.14 * math.sin(count)
    raptor.position.insert(1,value)
    raptor.position.insert(2,1.4)
    raptor.position.insert(3,2.2)
    raptor.position.insert(4,2.3)
    raptor.position.insert(5,0.9)
    # Publish the MarkerArray
    publisher.publish(raptor)
    
    count = count+0.01

    rospy.sleep(0.01)
